gtkmm 2.4: Gtk::Scrollbar Class Reference

Main Page Widgets Namespaces Book

# Gtk::Scrollbar Class Reference
[Widgets]

Inheritance diagram for Gtk::Scrollbar:
[legend]
List of all members.

## Detailed Description

The Gtk::Scrollbar widget is an abstract base class for Gtk::HScrollbar and Gtk::VScrollbar.

It is not very useful in itself.

The position of the thumb in a scrollbar is controlled by the scroll adjustments. See Gtk::Adjustment for the fields in an adjustment - for Gtk::Scrollbar, the "value" field represents the position of the scrollbar, which must be between the "lower" field and "upper - page_size." The "page_size" field represents the size of the visible scrollable area. The "step_increment" and "page_increment" fields are used when the user asks to step down (using the small stepper arrows) or page down (using for example the PageDown key).

## Public Member Functions
const GtkScrollbar* | gobj () const
| Provides access to the underlying C GtkObject.
GtkScrollbar* | gobj ()
| Provides access to the underlying C GtkObject.
virtual | ~Scrollbar ()
## Related Functions
(Note that these are not member functions.)
Gtk::Scrollbar* | wrap (GtkScrollbar* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Scrollbar::~Scrollbar | ( |  | ) | `[virtual]`

## Member Function Documentation

const GtkScrollbar* Gtk::Scrollbar::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Range. Reimplemented in Gtk::VScrollbar, and Gtk::HScrollbar.

GtkScrollbar* Gtk::Scrollbar::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Range. Reimplemented in Gtk::VScrollbar, and Gtk::HScrollbar.

## Friends And Related Function Documentation

Gtk::Scrollbar* wrap | ( | GtkScrollbar* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- scrollbar.h